## Package org.apache.solr.common.cloud

Interface Summary
OnReconnect
SafeStopThread

Class Summary
CloudState: Immutable state of the cloud.
DefaultConnectionStrategy: TODO: improve backoff retry impl
HashPartitioner: Class to partition int range into n ranges.
HashPartitioner.Range
Slice: A Slice contains immutable information about all shards that share the same shard id (shard leader and replicas).
SolrZkClient: All Solr ZooKeeper interactions should go through this class rather than ZooKeeper.
ZkClientConnectionStrategy
ZkClientConnectionStrategy.ZkUpdate
ZkCmdExecutor
ZkCoreNodeProps
ZkNodeProps: ZkNodeProps contains immutable properties for a shard/solr core.
ZkOperation: A callback object which can be used for implementing retry-able operations.
ZkStateReader

Exception Summary
ZooKeeperException